{% extends "educacao/index.html" %}

{% load staticfiles %}
{% load crispy_forms_tags %}


{% block bibliotecas %}
    <link rel="stylesheet" type="text/css" href="{% static 'choosen/chosen_v1.8.7/chosen.min.css' %}">
    <script type="text/javascript" charset="utf8" src="{% static 'choosen/chosen_v1.8.7/chosen.jquery.min.js' %}"></script>
    <script type="text/javascript" src="{% static "ckeditor/ckeditor-init.js" %}"></script>
    <script type="text/javascript" src="{% static "ckeditor/ckeditor/ckeditor.js" %}"></script>
{% endblock %}


{% block barra_horizontal %}
    <li>
        <input type="submit" form="formulario_questao_lista" role="button" class="btn btn-primary botao-barra-horizontal" value="Salvar">
    </li>

    <li>
        <a class="btn btn-secondary botao-barra-horizontal" href="{% url 'educacao:adicionar_questao_avaliacao' avaliacao.id %}">
            <img src="{% static 'icones/novo.svg'%}" width="20px">
            nova questão
        </a>
    </li>

    <li>
        <a class="btn btn-secondary botao-barra-horizontal" href="{% url 'educacao:adicionar_alternativa_questao_avaliacao' questao_avaliacao.id %}">
            <img src="{% static 'icones/novo.svg'%}" width="20px">
            alternativa
        </a>
    </li>

    {% if questao_anterior %}
    <li>
        <a href="{% url 'educacao:editar_questao_avaliacao' questao_anterior.id avaliacao.id %}" class="btn btn-success botao-barra-horizontal">
            Questão anterior
        </a>
    </li>
    {% endif %}

    {% if proxima_questao %}
    <li>
        <a href="{% url 'educacao:editar_questao_avaliacao' proxima_questao.id avaliacao.id %}" class="btn btn-success botao-barra-horizontal">
            Próxima questão
        </a>
    </li>
    {% endif %}

    <li>
        <a href="{% url 'educacao:remover_questao_avaliacao' questao_avaliacao.id %}" class="btn btn-danger botao-barra-horizontal">
            Remover questão
        </a>
    </li>
{% endblock %}


{% block corpo_pagina %}
    <div class="container-fluid bg-light rounded-top">
    <h2 style="margin-top: 10px">
        {{ avaliacao.titulo }} de {{ avaliacao.disciplina.sigla }} ({{ avaliacao.disciplina.turma }})
    </h2>

    <form id="formulario_questao_lista" method="post" enctype="multipart/form-data" class="formulario sem-asterisco">
        {% csrf_token %}
        {{ formset_alternativas.management_form }}

        <ul class="nav nav-tabs" id="myTab" role="tablist">
            <li class="nav-item">
                <a class="nav-link active" data-toggle="tab" href="#questao" role="tab">
                    Questão {{ questao_avaliacao.numero }} / {{ avaliacao.numero_questoes }}
                </a>
            </li>

            {% if alternativas.count > 0 %}
            {% for form in formset_alternativas %}
            <li class="nav-item">
                <a class="nav-link" data-toggle="tab" href="#alternativa-{{ form.codigo.value }}" role="tab">
                    ({{ form.codigo.value }})
                </a>
            </li>
            {% endfor %}
            {% endif %}
        </ul>

        <div class="tab-content" id="myTabContent" style="margin-top: 10px">
            <div class="tab-pane fade show active" id="questao" role="tabpanel">
                {{ form_questao|crispy }}
            </div>

            {% if alternativas.count > 0 %}
            {% for form in formset_alternativas %}
                <div class="tab-pane fade show" id="alternativa-{{ form.codigo.value }}" role="tabpanel">
                    {{ form|crispy }}
                </div>
            {% endfor %}
            {% endif %}
        </div>

    </form>

    </div>
{% endblock %}




{% block javascript %}
    {% for form in formset_alternativas %}
        $('#div_id_{{ form.prefix }}-questao').hide();
{#        $('#alternativa-{{ form.codigo.value }}').hide();#}
    {% endfor %}


{% endblock %}

